# Gimp.ParamSpecObject.get_default

    function get_default(pspec: GObject.ParamSpec): GObject.Object {
        // Gjs wrapper for gimp_param_spec_object_get_default()
    }

Get the default object value of the param spec.

If the pspec has been registered with a specific default (which can be verified with [func@Gimp.ParamSpecObject.has_default]), it will be returned, though some specific subtypes may support returning dynamic default (e.g. based on context).

pspec

  a GObject.Object GObject.ParamSpec

Returns

  the default value.